﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.wrapButton.Click             += wrapButton_Click;
            this.noWrapButton.Click           += noWrapButton_Click;
            this.wrapWithOverflowButton.Click += wrapWithOverflowButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Wrap 버튼 클릭시 처리하기 - wrapButton_Click(sender, e)

        /// <summary>
        /// Wrap 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void wrapButton_Click(object sender, RoutedEventArgs e)
        {
            this.sourceTextBlock.TextWrapping = TextWrapping.Wrap;

            this.messageTextBlock.Text = "The TextWrap property is currently set to Wrap.";
        }

        #endregion
        #region NoWrap 버튼 클릭시 처리하기 - noWrapButton_Click(sender, e)

        /// <summary>
        /// NoWrap 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void noWrapButton_Click(object sender, RoutedEventArgs e)
        {
            this.sourceTextBlock.TextWrapping = TextWrapping.NoWrap;

            this.messageTextBlock.Text = "The TextWrap property is currently set to NoWrap.";
        }

        #endregion
        #region WrapWithOverflow 버튼 클릭시 처리하기 - wrapWithOverflowButton_Click(sender, e)

        /// <summary>
        /// WrapWithOverflow 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void wrapWithOverflowButton_Click(object sender, RoutedEventArgs e)
        {
            this.sourceTextBlock.TextWrapping = TextWrapping.WrapWithOverflow;

            this.messageTextBlock.Text = "The TextWrap property is currently set to WrapWithOverflow.";
        }

        #endregion
    }
}